ghc-8.0.2: The GHC API

Safe Haskell | Safe
Language | Haskell2010

Constants

Synopsis

- hiVersion :: Integer
- mAX_TUPLE_SIZE :: Int
- mAX_CTUPLE_SIZE :: Int
- mAX_REDUCTION_DEPTH :: Int
- mAX_SOLVER_ITERATIONS :: Int
- wORD64_SIZE :: Int
- tARGET_MAX_CHAR :: Int

# Documentation

hiVersion :: Integer Source #

mAX_TUPLE_SIZE :: Int Source #

mAX_CTUPLE_SIZE :: Int Source #

mAX_REDUCTION_DEPTH :: Int Source #

Default maximum depth for both class instance search and type family reduction. See also Trac #5395.

mAX_SOLVER_ITERATIONS :: Int Source #

Default maximum constraint-solver iterations Typically there should be very few

wORD64_SIZE :: Int Source #

tARGET_MAX_CHAR :: Int Source #